<?php
/**
* The main template file.
*
* This is the most generic template file in a WordPress theme
* and one of the two required files for a theme (the other being style.css).
* It is used to display a page when nothing more specific matches a query.
* E.g., it puts together the home page when no home.php file exists.
*
* @link https://codex.wordpress.org/Template_Hierarchy
*
* @package MF Theme
*/
get_header(); 

get_template_part( 'template-parts/page-headers');
$pagebgcolor = $mf_options['page-bg-color'];

$page_gl_titlebg = $mf_options['tr-default-pg-bg']['url'];
?>   
<div class="content-main">
  <div id="primary" class="site-content">
    <div id="content" role="main" style="background-color: <?php echo esc_attr($pagebgcolor); ?>">  
      <?php get_template_part( 'template-parts/index-title'); ?>  
  <!-- main -->
 
		<?php 
		if ( have_posts() ) : 
		if ( is_home() && ! is_front_page() ) : 
		endif; 
		 /* Start the Loop */ 
		
		/*
		* Include the Post-Format-specific template for the content.
		* If you want to override this in a child theme, then include a file
		* called content-___.php (where ___ is the Post Format name) and that will be used instead.
		*/
		get_template_part( 'template-parts/content' );

		else : 
		get_template_part( 'template-parts/content', 'none' );
		endif; 
		?>
  </main>
  <!-- #main -->
</div>
<!-- #primary -->
<?php get_footer(); ?>