<?php
/**
 * The Template for displaying all single products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header(); ?>
<div class="content-main">
	<header class="page-banner">
		<div class="container">
			<div class="row">
				<div class="col-xs-12">
					<div class="holder">
						<?php if (function_exists('mf_settings')){
							$config = mf_settings();
							$slogan = $config['banner_slogan'];
						}else{
							$slogan = esc_html__('Your Solgan Here','mf');
						}		
						?>
						<h1 class="heading text-uppercase"><?php esc_html_e('Shop','mf')?></h1>
						<p><?php echo wp_kses_post($slogan);?></p>
					</div>
					<?php
					$args = array(
			            'delimiter'   => '',
			            'wrap_before' => '<ul class="breadcrumbs list-inline">',
			            'wrap_after'  => '</ul>',
			            'before'      => '',
			            'after'       => '',
			            'home'        => _x( 'Home', 'breadcrumb', 'mf' )
			        );
					echo woocommerce_breadcrumb($args);
					?>
				</div>
			</div>
	    </div>
		<div class="stretch">
			<?php if (function_exists('mf_settings')){
				$config = mf_settings();
				$img_banner = $config['woo_banner_image']['url'];
			}else{
				$img_banner = get_template_directory_uri(). "/assets/images/img01.jpg";
			}		
			?>
			<img alt="image description" src="<?php echo esc_url($img_banner)?>">
		</div>
	</header>
	<div id="primary" class="site-content">
		<div id="content" role="main">
			<div class="container contact-block shop">
					<?php while ( have_posts() ) : the_post(); ?>

						<?php wc_get_template_part( 'content', 'single-product' ); ?>

					<?php endwhile; // end of the loop. ?>

				<?php
					do_action( 'woocommerce_after_main_content' );
				?>
			</div>
		</div>
	</div>
</div>
<?php get_footer(); ?>
